[osg-users] vpb revision

Cedric Pinson mornifle at plopbyte.net
Mon Sep 1 05:45:56 PDT 2008


Hi,
I tried the last truck version of vpb and it does not compile with osg 2.6:

/home/mornifle/dev/OpenSceneGraph/osg-2.6/VirtualPlanetBuilder-svn/src/vpb/Commandline.cpp: In member function âvoid vpb::Commandline::processImageOrHeightField(vpb::Source::Type, const std::string&)â:
/home/mornifle/dev/OpenSceneGraph/osg-2.6/VirtualPlanetBuilder-svn/src/vpb/Commandline.cpp:198: error: no matching function for call to âosgTerrain::CompositeLayer::addLayer(std::string&, const std::basic_string<char, std::char_traits<char>, std::allocator<char> >&)â
/home/mornifle/dev/OpenSceneGraph/osg-2.6/release/include/osgTerrain/Layer:354: note: candidates are: void osgTerrain::CompositeLayer::addLayer(const std::string&)
/home/mornifle/dev/OpenSceneGraph/osg-2.6/release/include/osgTerrain/Layer:356: note:                 void osgTerrain::CompositeLayer::addLayer(osgTerrain::Layer*)


When I read the log i noticed that there is a new way to set the layer 
in terrain, so i suggest to tag the r927 that works with osg2.6

Cheers,
Cedric


-- 
+33 (0) 6 63 20 03 56  Cedric Pinson mailto:mornifle at plopbyte.net http://www.plopbyte.net





More information about the osg-users mailing list